html,
body {
  width: 100%;
  height: 100%;
}

body {
  margin: 0;
  color: var(--text-color);
  background: var(--background-color);

  img {
    -webkit-tap-highlight-color: transparent;
  }
}

.ql-editor {
  max-width: 700px;
  padding: 12px 28px !important;
  margin: 0 auto !important;
  font-family: 'MiSans', serif !important;
  line-height: 1.3125 !important;
}

.ql-picker-options {
  z-index: 5 !important;
}

/* 富文本css控制 */

/* 字号css */
.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="defaultFt"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="defaultFt"]::before {
  content: "默认字号";
  font-size: 16px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft12"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft12"]::before {
  content: "12px";
  font-size: 12px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft14"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft14"]::before {
  content: "14px";
  font-size: 14px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft16"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft16"]::before {
  content: "16px";
  font-size: 16px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft17"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft17"]::before {
  content: "17px";
  font-size: 17px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft18"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft18"]::before {
  content: "18px";
  font-size: 18px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft20"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft20"]::before {
  content: "20px";
  font-size: 20px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft24"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft24"]::before {
  content: "24px";
  font-size: 24px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft28"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft28"]::before {
  content: "28px";
  font-size: 28px;
}

.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="ft32"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="ft32"]::before {
  content: "32px";
  font-size: 32px;
}

.ql-size-defaultFt {
  font-size: 16px;
}

.ql-size-ft12 {
  font-size: 12px;
}

.ql-size-ft14 {
  font-size: 14px;
}

.ql-size-ft16 {
  font-size: 16px;
}

.ql-size-ft17 {
  font-size: 17px;
}

.ql-size-ft18 {
  font-size: 18px;
}

.ql-size-ft20 {
  font-size: 20px;
}

.ql-size-ft24 {
  font-size: 24px;
}

.ql-size-ft28 {
  font-size: 28px;
}

.ql-size-ft32 {
  font-size: 32px;
}

/* 字体 */
.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="defaultFtf"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="defaultFtf"]::before {
  font-family: 'MiSans', serif;
  content: "默认字体";
}

.ql-font-defaultFtf {
  font-family: 'MiSans', serif;
}

.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="MiSans"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="MiSans"]::before {
  font-family: 'MiSans', serif;
  content: "MiSans";
}

.ql-font-MiSans {
  font-family: 'MiSans', serif;
}

.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="SimSun"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="SimSun"]::before {
  font-family: SimSun, sans-serif;
  content: "宋体";
}

.ql-font-SimSun {
  font-family: SimSun, sans-serif;
}

.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="SimHei"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="SimHei"]::before {
  font-family: SimHei, sans-serif;
  content: "黑体";
}

.ql-font-SimHei {
  font-family: SimHei, sans-serif;
}

.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="Microsoft-YaHei"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="Microsoft-YaHei"]::before {
  font-family: Microsoft-YaHei, sans-serif;
  content: "微软雅黑";
}

.ql-font-Microsoft-YaHei {
  font-family: Microsoft-YaHei, sans-serif;
}

.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="KaiTi"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="KaiTi"]::before {
  font-family: KaiTi, sans-serif;
  content: "楷体";
}

.ql-font-KaiTi {
  font-family: KaiTi, sans-serif;
}

.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="FangSong"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="FangSong"]::before {
  font-family: FangSong, sans-serif;
  content: "仿宋";
}

.ql-font-FangSong {
  font-family: FangSong, sans-serif;
}

.ql-snow.ql-toolbar {
  .ql-picker.ql-header {

    .ql-picker-label::before,
    .ql-picker-item::before {
      content: '正文';
    }

    .ql-picker-label[data-value='1']::before,
    .ql-picker-item[data-value='1']::before {
      content: '标题一';
    }

    .ql-picker-label[data-value='2']::before,
    .ql-picker-item[data-value='2']::before {
      content: '标题二';
    }

    .ql-picker-label[data-value='3']::before,
    .ql-picker-item[data-value='3']::before {
      content: '标题三';
    }

    .ql-picker-label[data-value='4']::before,
    .ql-picker-item[data-value='4']::before {
      content: '标题四';
    }

    .ql-picker-label[data-value='5']::before,
    .ql-picker-item[data-value='5']::before {
      content: '标题五';
    }

    .ql-picker-label[data-value='6']::before,
    .ql-picker-item[data-value='6']::before {
      content: '标题六';
    }
  }
}

.ql-indent-1 {
  padding-left: calc(16px * 1 * 2) !important;
}

.ql-indent-2 {
  padding-left: calc(16px * 2 * 2) !important;
}

.ql-indent-3 {
  padding-left: calc(16px * 3 * 2) !important;
}

.ql-indent-4 {
  padding-left: calc(16px * 4 * 2) !important;
}

.ql-indent-5 {
  padding-left: calc(16px * 5 * 2) !important;
}

.ql-indent-6 {
  padding-left: calc(16px * 6 * 2) !important;
}

.ql-indent-7 {
  padding-left: calc(16px * 7 * 2) !important;
}

.ql-indent-8 {
  padding-left: calc(16px * 8 * 2) !important;
}

.ql-editor blockquote {
  font-size: 16px !important;
  font-family: 'MiSans', serif !important;
  margin: 12px 0 !important;
  color: var(--article-color) !important;
}

.ql-editor ul {
  counter-reset: ul-counter !important;
  font-size: 16px;
  color: var(--article-color) !important;
  padding: 0 !important;

  >li {
    &::before {
      text-align: left;
      content: '•' !important;
      left: -3px !important;
      position: absolute;
    }
  }
}

.table-list-container {
  counter-reset: table-level-1 table-level-2 !important;
  list-style-type: none;
  padding-left: 0;
  margin: 0;
}

.table-list[data-list="number"]:not(.ql-indent-1):before {
  counter-increment: table-level-1 !important;
  content: counter(table-level-1) ". " !important;
}

.table-list.ql-indent-1[data-list="number"]:before {
  counter-increment: table-level-2 !important;
  content: counter(table-level-2, lower-alpha) ". " !important;
  display: inline-block;
  padding-left: 0.5em;
}

.ql-editor ol:not(.table-list-container) {
  counter-reset: main-ordered-counter !important;
  padding: 0 !important;
  list-style-type: none;

  >li {
    font-size: 16px !important;
    font-family: 'MiSans', serif !important;
    margin: 12px 0 !important;
    color: var(--article-color) !important;

    &::before {
      text-align: left;
      content: counter(main-ordered-counter) "." !important;
      counter-increment: main-ordered-counter !important;
      left: 0 !important;
      position: absolute;
    }
  }

  >li[data-list="ordered"] {
    &::before {
      content: counter(main-ordered-counter) "." !important;
      counter-increment: main-ordered-counter !important;
      left: 0 !important;
    }
  }

  >li[data-list="bullet"] {
    &::before {
      content: '•' !important;
      counter-increment: none !important;
      left: -3px !important;
    }
  }
}

.ql-editor .ql-ui {
  &::before {
    content: none !important;
  }
}

.ql-container.ql-snow {
  height: 750px !important;
  overflow-y: hidden;
}

.ql-editor li:not(.ql-direction-rtl)::before {
  text-align: left;
}

.ql-editor img {
  max-width: calc(100% - 2px);
  display: block;
  margin: 12px auto;
  border: 2px solid var(--article-table-border);
  border-radius: 12px;
}

.ql-editor video {
  max-width: 100%;
  display: block;
  margin: 12px 0;
}

.ql-editor h1,
h2,
h3,
h4,
h5,
h6 {
  margin-block: 0;
  margin-inline: 0;
  unicode-bidi: normal;
  margin: 12px 0 !important;
  padding: 12px 0 !important;
  color: var(--text-color) !important;

  >span {
    color: var(--text-color) !important;
  }
}

.ql-editor h1 {
  font-size: 28px !important;
  font-weight: 400;
  color: var(--article-title-color) !important;
  padding: 4px 0 10px 0 !important;

  >span {
    color: var(--article-title-color) !important;
  }
}

.ql-editor h2 {
  font-size: 18px !important;
  font-weight: 400 !important;
  font-family: 'MiSans', serif !important;
}

.ql-editor h3 {
  font-size: 16px !important;
  font-family: 'MiSans', serif !important;
  font-weight: 400 !important;
  padding: 13.5px 0 !important;
}

.ql-editor p {
  font-family: 'MiSans', serif !important;
  font-size: 16px !important;
  font-weight: 400;
  margin: 12px 0 !important;
  color: var(--article-color) !important;
}

.ql-editor a {
  font-size: 16px !important;
  color: rgba(13, 132, 255, 1) !important;
  text-decoration: none !important;
}

.ql-editor table {
  width: 100% !important;
  max-width: 100% !important;

  span {
    font-size: 14px !important;
    font-weight: 300 !important;
    font-family: 'MiSans', serif !important;
  }

  ol,
  ul {
    >li {
      font-size: 14px !important;
      font-weight: 300 !important;
      margin: 0 !important;
      color: var(--article-td-color) !important;
      font-family: 'MiSans', serif !important;
    }
  }

  tr,
  tbody,
  td,
  th {
    border: 2px solid var(--article-table-border) !important;
    background-color: transparent !important;
  }

  strong {
    font-size: 14px !important;
    font-family: 'MiSans', serif !important;
    color: var(--text-color) !important;
    font-weight: 500 !important;
  }

  .ql-table-ordered-list-container {
    counter-reset: counter;

    [data-list="ordered"] {
      position: relative;
      padding-left: 1.5em !important;

      &::before {
        content: counter(counter) ".";
        counter-increment: counter;
        position: absolute;
        left: 0;
        font-weight: 300 !important;
      }
    }
  }

  .ql-table-bullet-list-container {
    counter-reset: counter;

    [data-list="bullet"] {
      position: relative;
      padding-left: 1.5em !important;

      &::before {
        content: '•' !important;
        position: absolute;
        left: -3px;
        font-weight: 300 !important;
      }
    }
  }

  th {
    padding: 17px 16px !important;
    min-height: 21px;
    background-color: var(--article-table-th-color) !important;

    p {
      font-family: 'MiSans', serif !important;
      margin: 0 !important;
      font-size: 14px !important;
      font-weight: 300 !important;
      color: var(--text-color) !important;
    }
  }

  .ql-table-th {
    padding: 17px 16px !important;
    min-height: 21px;
    background-color: var(--article-table-th-color) !important;

    p {
      font-family: 'MiSans', serif !important;
      margin: 0 !important;
      font-size: 14px !important;
      font-weight: 300 !important;
      color: var(--text-color) !important;
    }
  }

  td {
    min-height: 21px;
    padding: 17px 16px !important;

    p {
      font-size: 14px !important;
      color: var(--article-td-color) !important;
      font-weight: 300 !important;
      font-family: 'MiSans', serif !important;
    }
  }

  td>* {
    margin: 0 !important;
    padding: 0 !important;
  }
}

.ql-editor .ql-divider {
  border: none !important;
  margin: 16px 0 !important;
  height: 32px !important;
  opacity: 0.1 !important;
  pointer-events: none;
  user-select: none;
  display: flex;
  align-items: center;
  justify-content: center;

  &::before {
    content: '';
    display: block;
    width: 100%;
    height: 1px;
    background-color: var(--text-color);
  }
}

.ql-operate-line-container {
  max-width: 100%;
}

.ql-snow .ql-color-picker.ql-color .ql-picker-item {
  background-color: var(--article-color);
}